/*
**  Source file for blobdetect. (c) 2004 Per-Erik Forssen
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**  
**  See the file COPYING for details.
**
*/
#ifndef __MERGE_BLOBS
#define __MERGE_BLOBS

#include "image_buffer.h"

void merge_blobs(fpnum *mvec1,fpnum *mvec2,fpnum *mvecn,
		 fpnum *pvec1,fpnum *pvec2,fpnum *pvecn,
		 int ndim);

int bloblist_merge_cnt(buffer *bf_mvec0,buffer *bf_pvec0,buffer *bf_mvecn,
		       buffer *bf_pvecn,ibuffer *bf_out_ind,ibuffer *bf_cntl,
		       fpnum minc);

int bloblist_merge_cnt2(buffer *bf_mvec0,buffer *bf_pvec0,buffer *bf_mvecn,
			buffer *bf_pvecn,ibuffer *bf_out_ind,ibuffer *bf_cntl,
			fpnum minc,fpnum dmax2);

int bloblist_mark_invalid(buffer *bf_mvec,ibuffer *bf_out_ind,int amin);

void  bloblist_compact(buffer *bf_mvecn,buffer *bf_pvecn,ibuffer *bf_cscn,
		       buffer *bf_mvecm,buffer *bf_pvecm,ibuffer *bf_cscm,
		       ibuffer *bf_out_ind);

#endif /* __MERGE_BLOBS */
