/*
**  Source file for blobdetect. (c) 2004 Per-Erik Forssen
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**  
**  See the file COPYING for details.
**
*/
#ifndef __VISUALISE
#define __VISUALISE

#include "image_buffer.h"

/*   Visualisation methods  */

void buffer_paint(buffer *bf,buffer *bf_pvec);
void eigendec(fpnum *I,fpnum *D,fpnum *E);
void draw_ellipses(buffer *bf_img,buffer *bf_mvec,buffer *bf_pvec);
void draw_regions(buffer *bf_img,ibuffer *bf_labelim,buffer *bf_pvec);
void pvec_to_rgb(buffer *bf_pvec,buffer **bl_pvecn);

#endif /* __VISUALISE */
